Subject: Re: [PATCH] Don't allow newlines to occur in $Id:$ collapse

From: Andy Parkins <[email-masked]>
Date: Fri, 25 May 2007 14:50:53 +0100

On Friday 2007 May 25, Joshua N Pritikin wrote:

> That's better but I would error out instead of silently ignoring it.
> Your choice.

We can't error out on checking a file out - that file is in the repository 
already, if it's got problems - so be it, it's got to be possible to check it 
out.

One could even argue that it's not actually an error, if we define keywords to 
be such that they are not allowed to contain newlines, then the fact that 
someone has written "$Id:" in their file, with no closing "$" just means that 
it's not a keyword; and like every other non-keyword bit of data in the file 
it should be left untouched.

Andy

-- 
Dr Andy Parkins, M Eng (hons), MIET
[email-masked]